library amount_input;

import 'package:flutter/material.dart';

class AmountInput {
  Future<String> inputAmout(
          {String controllerText,
          String onChangedString,
          TextEditingController textEditingController}) async =>
      await _manageInputAmount(
          controllerText: controllerText,
          onChangedString: onChangedString,
          textEditingController: textEditingController);
  void moveCursorToTheRight(TextEditingController textEditingController) => _moveCursorToTheRight(textEditingController: textEditingController);

  static void _moveCursorToTheRight(
      {TextEditingController textEditingController}) {
    textEditingController.selection = TextSelection.fromPosition(
        TextPosition(offset: textEditingController.text.length));
  }

  static Future<String> _manageInputAmount(
      {String controllerText,
      String onChangedString,
      TextEditingController textEditingController}) async {
    if (controllerText == "") {
      return "0.00";
    } else {
      List<String> amountList =
          new List<String>.from(onChangedString.split(""));

      return await _getConcat(amountList, textEditingController);
    }
  }

  static Future<String> _getConcat(List<String> amountList,
      TextEditingController textEditingController) async {
    String dot = ".";

    amountList.removeWhere((item) => item == ".");

    if (amountList.length > 2) {
      amountList.insert(textEditingController.text.length - 3, dot);
    }
    if (amountList.length == 2) {
      //List<dynamic> aa;      aa.insert(index, element)
      amountList.insert(0, "0");

      amountList.insert(textEditingController.text.length - 2, ".");
    } else if (amountList[0] == "0" && amountList.length > 2) {
      amountList.remove("0");
    }
    return amountList.join();
  }
}
